---
suite: redis
testcase: redis
category: benchmark
need_memory: 135G
nr_threads: 100%
numactl:
  all: 1
sysctl:
  sc_overcommit_memory: 1
  sc_somaxconn: 65535
transparent_hugepage:
  thp_enabled: never
  thp_defrag: never
cluster: cs-localhost
cpu_node_bind: even
nr_processes: 4
if role server:
  redis-server:
if role client:
  redis:
    test: set,get
    data_size: 1024
    n_client: 5
    requests: 68000000
    n_pipeline: 3
    key_len: 68000000
job_origin: redis.yaml
arch: x86_64
node_roles: server client
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0
cpufreq_governor: performance
sanity-check:
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-icl-2sp7
tbox_group: lkp-icl-2sp7
branch: linus/master
commit: 4aecca4c76808f3736056d18ff510df80424bc9f
repeat_to: 3
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp7/redis-1-cs-localhost-even-performance-1024-68000000-5-3-4-68000000-1-65535-set_get-never-never-debian-12-x86_64-20240206.cgz-4ae-20250204-825974-xn8hlc-2.yaml"
id: 861d0055ada6afea25ea706c6eef2279a51ec679
queuer_version: "/zday/lkp"
model: Ice Lake
nr_node: 2
nr_cpu: 64
memory: 256G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-22UA7T0_WD-WXK2E319F11A-part*"
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x6988c014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Gold 6346 CPU @ 3.10GHz
ucode: '0xd0003a5'
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-9.4
enqueue_time: 2025-02-04 21:41:38.792006462 +08:00
compiler: gcc-12
_rt: "/result/redis/1-cs-localhost-even-performance-1024-68000000-5-3-4-68000000-1-65535-set_get-never-never/lkp-icl-2sp7/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/4aecca4c76808f3736056d18ff510df80424bc9f"
user: lkp
scheduler_version: "/lkp/lkp/.src-20250203-200545"
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/redis/1-cs-localhost-even-performance-1024-68000000-5-3-4-68000000-1-65535-set_get-never-never/lkp-icl-2sp7/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/4aecca4c76808f3736056d18ff510df80424bc9f/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/4aecca4c76808f3736056d18ff510df80424bc9f/vmlinuz-6.12.0-rc1-00193-g4aecca4c7680
- branch=linus/master
- job=/lkp/jobs/scheduled/lkp-icl-2sp7/redis-1-cs-localhost-even-performance-1024-68000000-5-3-4-68000000-1-65535-set_get-never-never-debian-12-x86_64-20240206.cgz-4ae-20250204-825974-xn8hlc-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=4aecca4c76808f3736056d18ff510df80424bc9f
- intremap=posted_msi
- acpi_rsdp=0x6988c014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/4aecca4c76808f3736056d18ff510df80424bc9f/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/numactl_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/redis-server-x86_64-7.0.9-0_20240228.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp7/redis-1-cs-localhost-even-performance-1024-68000000-5-3-4-68000000-1-65535-set_get-never-never-debian-12-x86_64-20240206.cgz-4ae-20250204-825974-xn8hlc-2.cgz"
last_kernel: 6.14.0-rc1-next-20250204
acpi_rsdp: '0x6988c014'
good_samples:
- 252272.7525
- 252449.8975
- 252617.16499999998

#! queue options

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/4aecca4c76808f3736056d18ff510df80424bc9f/vmlinuz-6.12.0-rc1-00193-g4aecca4c7680"
result_root: "/result/redis/1-cs-localhost-even-performance-1024-68000000-5-3-4-68000000-1-65535-set_get-never-never/lkp-icl-2sp7/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/4aecca4c76808f3736056d18ff510df80424bc9f/0"

#! schedule options

#! /db/releases/20250131211710/lkp-src/include/site/inn
dequeue_time: 2025-02-04 22:27:29.383643182 +08:00
job_state: finished
loadavg: 5.34 3.39 1.40 3/752 7788
start_time: '1738679350'
end_time: '1738679499'
version: "/lkp/lkp/.src-20250203-200545:a1dc60aa8f26:510621029cda-dirty"
